Bug 727342 - LDAPChaseReferrals should be LDAPReferrals
LDAPChaseReferrals should be LDAPReferrals
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: httpd (Show other bugs)
5.9
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Joe Orton
Zbysek MRAZ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-01 17:10 EDT by Ray Van Dolson
Modified: 2013-07-03 09:13 EDT (History)
3 users (show)

See Also:
Fixed In Version: httpd-2.2.3-67.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-08 00:03:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ray Van Dolson 2011-08-01 17:10:33 EDT
Ref RH Buzilla #604727

httpd 2.2.3-49 appears to have introduced a LDAPChaseReferrals configuration option along with the ability to properly pass credentials when following referrals.

However, it appears that upstream went with a slightly different version of this patch[1][2] using the configuration directive LDAPReferrals (in addition to LDAPReferralHopLimit).

This directive is usable in the Directory context per the Apache docs[3] whereas the LDAPChaseReferrals is not.

This creates problems in that a) we differ from upstream and b) there is no documentation for LDAPChaseReferrals as upstream's documentation references a differently named directive with slightly different functionality.

[1] https://issues.apache.org/bugzilla/show_bug.cgi?id=42557#c2
[2] http://svn.apache.org/viewvc?view=revision&revision=614605
[3] http://httpd.apache.org/docs/2.3/mod/mod_ldap.html#ldapreferrals
Comment 1 Joe Orton 2012-03-23 05:19:57 EDT
Thanks a lot for reporting this, Ray, looks like I forgot to cross-check against the 2.3 patch.  Adding the new directive so we follow 2.4 looks fine.
Comment 2 RHEL Product and Program Management 2012-04-19 07:48:22 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 3 Karel Srot 2012-04-19 13:09:40 EDT
Hi Joe,
does that mean that now both directives exists, right? Just to make sure.
Thank you.
Comment 4 Joe Orton 2012-05-10 10:58:35 EDT
Karel - correct, we'll keep both.
Comment 10 errata-xmlrpc 2013-01-08 00:03:51 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0130.html

Note You need to log in before you can comment on or make changes to this bug.